#ifndef _TIMERCLASS_H_
#define _TIMERCLASS_H_


//////////////
// INCLUDES //
//////////////
#include "Logger.h"
#include <windows.h>
#include "macro.h"


////////////////////////////////////////////////////////////////////////////////
// Class name: timer_class
////////////////////////////////////////////////////////////////////////////////
class timer_class
{
public:
    timer_class();
    timer_class(const timer_class&);
    ~timer_class();

    bool Initialize();
    void Frame();

    float GetTime();

private:
    float m_frequency;
    INT64 m_startTime;
    float m_frameTime;

};

#endif